MONGOC_COLLECTION_FIND_AND_MODIFY_WITH_OPTS(3)

NAME
mongoc_collection_find_and_modify_with_opts() - Update and return an object.

SYNOPSIS

bool
mongoc_collection_find_and_modify_with_opts (mongoc_collection_t                 *collection,
                                             const bson_t                        *query,
                                             const mongoc_find_and_modify_opts_t *opts,
                                             bson_t                              *reply,
                                             bson_error_t                        *error);

NOTE
    New in mongoc 1.3.0

PARAMETERS

collection
    A mongoc_collection_t \&.

query
    A bson_t containing the query to locate target document(s).

opts
    find and modify options

reply
    An optional location for a bson_t that will be initialized with the result or NULL \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

Update and return an object.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true on success; false on failure.

EXAMPLE

See mongoc_find_and_modify_opts_t

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.